"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var current_api_1 = require("./current-api");
var dynamic_base_module_1 = require("./dynamic-base-module");
var page_title_service_1 = require("./page-title.service");
var ApiPageComponent = /** @class */ (function () {
    function ApiPageComponent(route, viewContainerRef, compiler, activated, router, seo) {
        this.route = route;
        this.viewContainerRef = viewContainerRef;
        this.compiler = compiler;
        this.activated = activated;
        this.router = router;
        this.seo = seo;
    }
    ApiPageComponent.prototype.fixLinks = function (content, urlPrefix) {
        var path = content.replace(/href="(#.*?)"/g, function (match, group) {
            return 'href="' + urlPrefix + group + '"';
        });
        if (path.charAt(0) === '/') {
            path = path.substr(1);
        }
        return path;
    };
    ApiPageComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.route.data.subscribe(function (data) {
            _this.activated.updateCurrentApi(data);
            var content = _this.fixLinks(data.resolveData.jsDoc, _this.router.url).replace(/name="(.*?)"/g, function (match, group) {
                return 'name="' + group + '" class="anchor-offset"';
            });
            _this.seo.setSeoDescription(content);
            _this.seo.addKeywords([
                'api',
                'api-docs',
                'reference',
                'usage'
            ].concat((data.apiFile.apiTitle || data.apiFile.name || ' ').split(' ') || []));
            var DynamicComponent = /** @class */ (function () {
                function DynamicComponent() {
                }
                DynamicComponent = __decorate([
                    core_1.Component({
                        selector: 'tutorial-container',
                        template: content
                    })
                ], DynamicComponent);
                return DynamicComponent;
            }());
            var DynamicModule = /** @class */ (function () {
                function DynamicModule() {
                }
                DynamicModule = __decorate([
                    core_1.NgModule({
                        imports: [dynamic_base_module_1.DummyModule],
                        declarations: [DynamicComponent]
                    })
                ], DynamicModule);
                return DynamicModule;
            }());
            var factories = _this.compiler.compileModuleAndAllComponentsSync(DynamicModule);
            var compFactory = factories.componentFactories.find(function (x) { return x.componentType === DynamicComponent; });
            var injector = core_1.ReflectiveInjector.fromResolvedProviders([], _this.viewContainerRef.parentInjector);
            _this.viewContainerRef.createComponent(compFactory, 0, injector, []);
        });
    };
    ApiPageComponent = __decorate([
        core_1.Component({
            selector: 'api-page',
            template: ""
        }),
        core_1.Injectable(),
        __metadata("design:paramtypes", [router_1.ActivatedRoute,
            core_1.ViewContainerRef,
            core_1.Compiler,
            current_api_1.ActivatedApi,
            router_1.Router,
            page_title_service_1.PageTitleService])
    ], ApiPageComponent);
    return ApiPageComponent;
}());
exports.ApiPageComponent = ApiPageComponent;
//# sourceMappingURL=api-page.component.js.map