"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var platform_browser_1 = require("@angular/platform-browser");
var _ = require("lodash");
var striptags = require("striptags");
var PageTitleService = /** @class */ (function () {
    function PageTitleService(document) {
        this.document = document;
    }
    PageTitleService.prototype.setTitle = function (title) {
        this.document.title = title;
    };
    PageTitleService.prototype.setBasePath = function (base) {
        var baseTag = _.filter(this.document.head.children, function (tag) {
            return tag.name === 'base';
        })[0];
        if (baseTag) {
            baseTag['attribs']['href'] = base;
        }
    };
    PageTitleService.prototype.getMetaItem = function (name) {
        return _.filter(this.document.head.children, function (tag) {
            return tag.name === 'meta' && tag.attribs['name'] === name;
        })[0];
    };
    PageTitleService.prototype.setSeoDescription = function (desc) {
        var descriptionTag = this.getMetaItem('description');
        if (descriptionTag) {
            descriptionTag['attribs']['content'] = striptags(desc).replace(/(\r\n|\n|\r)/gm, ' ').substring(0, 150);
        }
    };
    PageTitleService.prototype.addKeywords = function (keys) {
        var tag = this.getMetaItem('keywords');
        if (tag) {
            tag['attribs']['content'] = tag['attribs']['content'] + ', ' + keys.join(', ');
        }
    };
    PageTitleService = __decorate([
        core_1.Injectable(),
        __param(0, core_1.Inject(platform_browser_1.DOCUMENT)),
        __metadata("design:paramtypes", [Object])
    ], PageTitleService);
    return PageTitleService;
}());
exports.PageTitleService = PageTitleService;
//# sourceMappingURL=page-title.service.js.map