"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var tutorials_registry_cache_1 = require("./tutorials-registry-cache");
var rxjs_1 = require("rxjs");
var steps_templates_loader_1 = require("./steps-templates-loader");
var PatchLoadResolve = /** @class */ (function () {
    function PatchLoadResolve(cache, templatesCache) {
        this.cache = cache;
        this.templatesCache = templatesCache;
    }
    PatchLoadResolve.prototype.resolve = function (route) {
        var data = route.data;
        var templatePath = data.tutorialObject.gitHub + '/' + data.gitTagRevision + data.stepObject.template;
        var tutorialPatchObservable = this.cache.load(data.tutorialObject.id, data.gitTagRevision, data.tutorialObject);
        var stepHtmlObservable = this.templatesCache.load(data.tutorialObject.id, templatePath);
        return rxjs_1.Observable.zip(tutorialPatchObservable, stepHtmlObservable, function (tutorial, step) {
            return { tutorial: tutorial, step: step, gitTagRevision: data.gitTagRevision, steps: data.steps };
        });
    };
    PatchLoadResolve = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [tutorials_registry_cache_1.TutorialRegistryCache,
            steps_templates_loader_1.StepsTemplatesLoader])
    ], PatchLoadResolve);
    return PatchLoadResolve;
}());
exports.PatchLoadResolve = PatchLoadResolve;
//# sourceMappingURL=patch-load-resolver.js.map