"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var current_tutorial_1 = require("./current-tutorial");
var rxjs_1 = require("rxjs");
var StepDownloadZipLink = /** @class */ (function () {
    function StepDownloadZipLink(activated, el, renderer) {
        this.activated = activated;
        rxjs_1.Observable.zip(activated.tutorial, activated.step, activated.steps, function (tutorial, step, steps) {
            return {
                tutorial: tutorial,
                step: step,
                steps: steps
            };
        }).subscribe(function (data) {
            var tutorial = data.tutorial;
            var step = data.step;
            var steps = data.steps;
            if (step.noZipDownload) {
                renderer.setElementStyle(el.nativeElement, 'display', 'none');
            }
            else {
                var index = steps.findIndex(function (s) {
                    return s.template === step.template;
                });
                if (index <= 0) {
                    renderer.setElementStyle(el.nativeElement, 'display', 'none');
                    return;
                }
                var tagName = 'step' + index;
                var url = 'https://github.com/' + tutorial.gitHub + '/archive/' + tagName + '.zip';
                renderer.setElementAttribute(el.nativeElement, 'href', url);
            }
        });
    }
    StepDownloadZipLink = __decorate([
        core_1.Directive({
            selector: '[stepDownloadZip]'
        }),
        core_1.Injectable(),
        __metadata("design:paramtypes", [current_tutorial_1.ActivatedTutorial, core_1.ElementRef, core_1.Renderer])
    ], StepDownloadZipLink);
    return StepDownloadZipLink;
}());
exports.StepDownloadZipLink = StepDownloadZipLink;
//# sourceMappingURL=tutorial-download-zip.directive.js.map