"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var rxjs_1 = require("rxjs");
var current_tutorial_1 = require("./current-tutorial");
var step_utils_1 = require("./step-utils");
var TutorialNavigation = /** @class */ (function () {
    function TutorialNavigation(activated, el, renderer, currentRoute, utils) {
        var _this = this;
        this.activated = activated;
        this.currentRoute = currentRoute;
        this.utils = utils;
        rxjs_1.Observable.zip(activated.step, activated.steps, function (step, steps) {
            return {
                step: step,
                steps: steps
            };
        }).subscribe(function (data) {
            var step = data.step;
            var steps = data.steps;
            var index = steps.findIndex(function (s) {
                return s.template === step.template;
            });
            if (_this.tutorialNavigation === 'next') {
                if (index === steps.length - 1) {
                    utils.disableElement(el, renderer);
                }
                else {
                    var next = steps[index + 1];
                    if (next) {
                        utils.appendRouteLink(el, renderer, utils.createAbsoluteLink('../' + next.url, _this.currentRoute.firstChild));
                    }
                    else {
                        utils.disableElement(el, renderer);
                    }
                }
            }
            else if (_this.tutorialNavigation === 'previous') {
                if (index === 0) {
                    utils.disableElement(el, renderer);
                }
                else {
                    var previous = steps[index - 1];
                    if (previous) {
                        utils.appendRouteLink(el, renderer, utils.createAbsoluteLink('../' + previous.url, _this.currentRoute.firstChild));
                    }
                    else {
                        utils.disableElement(el, renderer);
                    }
                }
            }
        });
    }
    __decorate([
        core_1.Input('tutorialNavigation'),
        __metadata("design:type", String)
    ], TutorialNavigation.prototype, "tutorialNavigation", void 0);
    TutorialNavigation = __decorate([
        core_1.Directive({
            selector: '[tutorialNavigation]'
        }),
        core_1.Injectable(),
        __metadata("design:paramtypes", [current_tutorial_1.ActivatedTutorial,
            core_1.ElementRef,
            core_1.Renderer,
            router_1.ActivatedRoute,
            step_utils_1.StepsUtils])
    ], TutorialNavigation);
    return TutorialNavigation;
}());
exports.TutorialNavigation = TutorialNavigation;
//# sourceMappingURL=tutorial-navigation.component.js.map