"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var router_1 = require("@angular/router");
var core_1 = require("@angular/core");
var platform_browser_1 = require("@angular/platform-browser");
var api_list_items_component_1 = require("./api-list-items.component");
var api_versions_list_component_1 = require("./api-versions-list.component");
var markdown_file_component_1 = require("./markdown-file.component");
var tutorial_navigation_component_1 = require("./tutorial-navigation.component");
var tutorial_name_directive_1 = require("./tutorial-name.directive");
var improve_this_doc_directive_1 = require("./improve-this-doc.directive");
var api_page_component_1 = require("./api-page.component");
var tutorial_page_component_1 = require("./tutorial-page.component");
var tutorials_registry_cache_1 = require("./tutorials-registry-cache");
var patch_load_resolver_1 = require("./patch-load-resolver");
var steps_templates_loader_1 = require("./steps-templates-loader");
var current_tutorial_1 = require("./current-tutorial");
var step_utils_1 = require("./step-utils");
var api_load_resolve_1 = require("./api-load-resolve");
var current_api_1 = require("./current-api");
var steps_list_component_1 = require("./steps-list.component");
var tutorial_code_diff_directive_1 = require("./tutorial-code-diff.directive");
var tutorial_download_zip_directive_1 = require("./tutorial-download-zip.directive");
var page_title_service_1 = require("./page-title.service");
var exportsAndDeclarations = [
    steps_list_component_1.StepListComponent,
    tutorial_page_component_1.TutorialPage,
    api_page_component_1.ApiPageComponent,
    improve_this_doc_directive_1.ImproveThisDocLink,
    tutorial_name_directive_1.StepNameDirective,
    tutorial_navigation_component_1.TutorialNavigation,
    markdown_file_component_1.MarkdownFileViewComponent,
    api_versions_list_component_1.ApiVersionsList,
    api_list_items_component_1.ApiListItems,
    tutorial_code_diff_directive_1.CodeDiffLink,
    tutorial_download_zip_directive_1.StepDownloadZipLink
];
var TutorialsCoreModule = /** @class */ (function () {
    function TutorialsCoreModule() {
    }
    TutorialsCoreModule = __decorate([
        core_1.NgModule({
            imports: [
                platform_browser_1.BrowserModule,
                common_1.CommonModule,
                router_1.RouterModule
            ],
            exports: exportsAndDeclarations,
            declarations: exportsAndDeclarations,
            providers: [
                page_title_service_1.PageTitleService,
                patch_load_resolver_1.PatchLoadResolve,
                tutorials_registry_cache_1.TutorialRegistryCache,
                steps_templates_loader_1.StepsTemplatesLoader,
                current_tutorial_1.ActivatedTutorial,
                step_utils_1.StepsUtils,
                api_load_resolve_1.ApiLoadResolve,
                current_api_1.ActivatedApi
            ]
        })
    ], TutorialsCoreModule);
    return TutorialsCoreModule;
}());
exports.TutorialsCoreModule = TutorialsCoreModule;
//# sourceMappingURL=tutorials-module.js.map